Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo
Class RangeEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--oracle.jbo.JboEvent
                  |
                  +--oracle.jbo.RangeEvent

Direct Known Subclasses:
  RangeRefreshEvent, ScrollEvent

public class RangeEvent
extends JboEvent

Generated by `RowSetIterator` to inform its listeners when rows in a range are updated or scrolled.

Since:
  JDeveloper 3.0
See Also:
  Serialized Form

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`RangeEvent(RowSetIterator source)` Creates a range event.

Method Summary
`Row[]` | `getAllRowsInRange()` Extracts the rows in the range.
`int` | `getRangeStart()` Gets the absolute index of the first row in the row set range.
`int` | `getRowCountInRange()` Counts the number of rows in the row set range.
`java.lang.String` | `toString(java.lang.String className)` Internal: For debugging only.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RangeEvent

    public RangeEvent(RowSetIterator source)

  Creates a range event.
  Parameters:
    `source` - the publisher of the event.

Method Detail

### getRangeStart

    public int getRangeStart()

  Gets the absolute index of the first row in the row set range.
  Returns:
    the View Object index of the first row of the range.

### getRowCountInRange

    public int getRowCountInRange()

  Counts the number of rows in the row set range.
  Returns:
    the number of rows.

### getAllRowsInRange

    public Row[] getAllRowsInRange()

  Extracts the rows in the range.
  Returns:
    an array of rows.

### toString

    public java.lang.String toString(java.lang.String className)

  Internal: For debugging only.
  Returns:
    a diagnostic string.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD